public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Pacho Ramos" <pacho@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-fonts/noto-emoji/
Date: Fri, 24 Feb 2023 15:11:16 +0000 (UTC)	[thread overview]
Message-ID: <1677251469.31d641e6ebb05bb512574eb4d098cc4cc7bdf132.pacho@gentoo> (raw)

commit:     31d641e6ebb05bb512574eb4d098cc4cc7bdf132
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Fri Feb 24 15:02:22 2023 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Fri Feb 24 15:11:09 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=31d641e6

media-fonts/noto-emoji: Drop buildfont option

As talked with Michał, this option is getting harder to maintain everyday due
to the growing amount of deps being needed and they being hard to maintain.

Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 media-fonts/noto-emoji/metadata.xml                |  1 +
 .../noto-emoji/noto-emoji-20220912-r1.ebuild       | 51 ++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/media-fonts/noto-emoji/metadata.xml b/media-fonts/noto-emoji/metadata.xml
index 1f615adf787d..a1229f4979e4 100644
--- a/media-fonts/noto-emoji/metadata.xml
+++ b/media-fonts/noto-emoji/metadata.xml
@@ -7,6 +7,7 @@
 	</maintainer>
 	<use>
 		<flag name="buildfont">Build Noto Emoji font with supplied images</flag>
+		<flag name="icons">Install Noto Emoji icon theme</flag>
 	</use>
 	<upstream>
 		<remote-id type="github">googlefonts/noto-emoji</remote-id>

diff --git a/media-fonts/noto-emoji/noto-emoji-20220912-r1.ebuild b/media-fonts/noto-emoji/noto-emoji-20220912-r1.ebuild
new file mode 100644
index 000000000000..6499e36b1e77
--- /dev/null
+++ b/media-fonts/noto-emoji/noto-emoji-20220912-r1.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit font
+
+DESCRIPTION="Google Noto Emoji fonts"
+HOMEPAGE="https://www.google.com/get/noto/ https://github.com/googlefonts/noto-emoji"
+
+COMMIT="e8073ab740292f8d5f19b5de144087ac58044d06"
+SRC_URI="https://github.com/googlefonts/noto-emoji/archive/${COMMIT}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0 OFL-1.1"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc64 ~riscv ~x86"
+IUSE="icons"
+
+RESTRICT="binchecks strip"
+
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+src_prepare() {
+	default
+
+	# Drop font for Windows 10
+	rm fonts/NotoColorEmoji_WindowsCompatible.ttf || die
+}
+
+src_compile() { :; }
+
+src_install() {
+	FONT_S="${S}/fonts"
+	# Drop non used fonts
+	rm -f fonts/*COLR*.ttf || die
+
+	# Don't lose fancy emoji icons
+	if use icons; then
+		for i in 32 72 128 512; do
+			insinto "/usr/share/icons/${PN}/${i}/emotes/"
+			doins png/"${i}"/*.png
+		done
+
+		insinto /usr/share/icons/"${PN}"/scalable/emotes/
+		doins svg/*.svg
+	fi
+
+	FONT_SUFFIX="ttf"
+	font_src_install
+
+	dodoc README.md
+}


             reply	other threads:[~2023-02-24 15:11 UTC|newest]

Thread overview: 65+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-02-24 15:11 Pacho Ramos [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-04-13  6:36 [gentoo-commits] repo/gentoo:master commit in: media-fonts/noto-emoji/ Arthur Zamarin
2024-04-13  6:36 Arthur Zamarin
2024-04-12 15:30 Sam James
2024-04-12 15:30 Sam James
2024-03-25 18:13 Pacho Ramos
2024-03-25 18:13 Pacho Ramos
2024-03-02 14:13 Arthur Zamarin
2024-02-22  0:59 Sam James
2024-02-22  0:59 Sam James
2024-01-03 18:39 Arthur Zamarin
2023-12-16  9:46 Pacho Ramos
2023-11-24 12:55 Pacho Ramos
2023-11-24 12:55 Pacho Ramos
2023-08-28 23:49 Andreas K. Hüttel
2023-03-19 16:56 Pacho Ramos
2023-03-16 22:02 Sam James
2023-03-16 22:02 Sam James
2023-03-16 22:02 Sam James
2022-12-04 14:50 Pacho Ramos
2022-12-01 22:28 Jakov Smolić
2022-12-01 22:24 Jakov Smolić
2022-12-01 22:22 Jakov Smolić
2022-10-09  8:37 Arthur Zamarin
2022-10-08 17:42 Arthur Zamarin
2022-09-18 11:09 Pacho Ramos
2022-09-18 11:09 Pacho Ramos
2022-09-18 11:09 Pacho Ramos
2022-09-18 11:09 Pacho Ramos
2022-05-10  1:07 WANG Xuerui
2021-12-14 20:47 Arthur Zamarin
2021-12-14 15:45 Jakov Smolić
2021-12-14 15:45 Jakov Smolić
2021-11-06  9:13 Pacho Ramos
2021-11-06  9:13 Pacho Ramos
2021-09-17  8:57 Marek Szuba
2021-08-26  3:00 Sam James
2021-08-22  3:42 Sam James
2021-08-18 12:46 Agostino Sarubbo
2021-07-16  8:17 Pacho Ramos
2021-03-07 19:40 Pacho Ramos
2021-02-15 10:47 Sam James
2021-02-14 19:52 Sam James
2021-01-19 19:21 Pacho Ramos
2020-12-09 18:27 Pacho Ramos
2020-12-09 18:27 Pacho Ramos
2020-10-06  5:08 Sam James
2020-07-23  1:28 Sam James
2020-06-04 17:14 Mart Raudsepp
2020-06-04 14:06 Michał Górny
2020-05-29 16:18 Michał Górny
2020-05-22 19:05 Georgy Yakovlev
2020-04-24 19:12 Mike Gilbert
2020-04-19  2:35 Craig Andrews
2020-04-04  9:34 Pacho Ramos
2020-04-01 23:29 Pacho Ramos
2020-03-20 15:11 Pacho Ramos
2020-03-14 14:49 Pacho Ramos
2020-03-11 19:47 Pacho Ramos
2019-08-05 18:54 Pacho Ramos
2019-06-02  9:50 Pacho Ramos
2019-02-18 21:24 Pacho Ramos
2018-11-18 10:53 Pacho Ramos
2018-11-10 13:24 Pacho Ramos
2018-10-14 19:44 Pacho Ramos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1677251469.31d641e6ebb05bb512574eb4d098cc4cc7bdf132.pacho@gentoo \
    --to=pacho@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox